<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Chat Messenger</title>

  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
  <link rel="stylesheet" href="../public/css/main.css">
  <link rel="stylesheet" href="../public/css/partials.css">

  <script src="https://kit.fontawesome.com/c7d062ae39.js" crossorigin="anonymous"></script>
  <script src="https://unpkg.com/socket.io-client@4.3.1/dist/socket.io.min.js"></script>
</head>

<body>
  <div class="main d-flex flex-column w-100">
    <nav class="navbar navbar-expand-lg navbar-light bg-main">
      <div class="container-fluid">
        <a href="/dashboard"><img src="../public/assets/logo.png" alt="" class="ava p-2"></a>
        <div class="d-flex flex-column ms-0 me-auto ps-2">
          <h4 class="text-white"><i class="fas fa-user"></i> <%= session_user.username %></h4>
          <h5 class="text-white mb-0">Hello, <%= session_user.fullname %> </h5>
        </div>
        
        
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarTogglerDemo02"
          aria-controls="navbarTogglerDemo02" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarTogglerDemo02">
          <ul class="navbar-nav me-0 ms-auto mb-2 mb-lg-0 float-end">
            <li class="nav-item">
              <a class="nav-link fw-bold hover-secondary text-white text-end me-2 align-items-center d-flex" href="#add" id="addContactBtn"><i class="fas fa-address-book fs-2"></i> <h6 class="ms-2 my-auto w-50 text-start">Add Contact</h6></a>
            </li>
            <li class="nav-item">
              <a class="nav-link fw-bold hover-secondary text-white text-end me-2 align-items-center d-flex" href="/dashboard/profile"><i class="fas fa-id-card fs-2"></i> <h6 class="ms-2 my-auto w-50 text-start">Edit Profile</h6></a>
            </li>
            <li>
              <form action="/logout" method="post" class="d-flex align-items-center">
                <button type="submit" class="me-sm-5 ms-auto logout-btn btn px-4 text-white fw-bold">LOGOUT</button>
              </form>
            </li>
          </ul>

        </div>
      </div>
    </nav>

    <div class="w-100 d-flex justify-content-center border border-success">
      <a class="text-decoration-none txt-main fs-4" data-bs-toggle="collapse" href="#contact-column-collapse" role="button" aria-expanded="false" aria-controls="contact-column-collapse"> Contact &#x21E9</a>
    </div>
    <div class="collapse show" id="contact-column-collapse">
      <div class="contact-column w-100 d-flex flex-column" >
        <% if (!!contactList) { %>
          <% for( let x = 0; x < contactList.length; x++ ) { %>
            <div class="contact-list container-fluid border m-0 p-0">
              <a class="row w-100 d-flex btn btn-outline-success text-start mx-0" href="/dashboard/chat?recipientName=<%= contactList[x].username %>&username=<%= username %>">
                <div class="col">
                  <h4> <%= contactList[x].fullname %></h4>
                  <h5><i class="fas fa-user"></i> <%= contactList[x].username %>  </h5>
                  <!-- <p class="mb-1 text-truncate"> Executing (default): SELECT "id", "username", "fullname", "email", "salt", "hashPassword", "privateKey", "lastOnline", "createdAt", "updatedAt" FROM "Users" AS "U</p>  -->
                </div>
                <div class="col align-items-center d-flex gap-2 justify-content-end">
                  <!-- <form action="" onsubmit="return confirm('Are you sure?')">
                    <input type="text" value="<%= username %>" name="ownerId" style="display: none; visibility: hidden;">
                    <input type="submit" value="Edit" class="btn btn-primary">
                  </form> -->
                  <form action="/dashboard/contacts/delete/<%= contactList[x].username %>" method="post" onsubmit="return confirm('Are you sure?')">
                    <input type="text" value="<%= username %>" name="username" style="display: none; visibility: hidden;">
                    <button type="submit" class="btn btn-danger"><i class="fas fa-user-minus"></i></button>
                  </form>
                  
                </div>
              </a>
              
            </div>
          <% } %>
        <% } else { %>
          <div class="contact-list container-fluid border">
            <h3> You have no contacts</h3>
            <p> Try to add your friends with their username </p>
          </div>
        <% } %>
         
      </div>
    </div>
    
    <div class="w-100 d-flex justify-content-center border border-primary">
      <a class="text-decoration-none txt-secondary fs-4" data-bs-toggle="collapse" href="#chat-column-collapse" role="button" aria-expanded="false" aria-controls="chat-column-collapse"> Active Chat &#x21E9</a>
    </div>
    <div class="collapse show" id="chat-column-collapse">
      <div class="chat-column w-100 d-flex flex-column" >
        <% for( let a = 0; a < activeChat.length; a++ ) { %>
          <a class="chat-list container-fluid border flex-wrap btn btn-outline-primary text-start rounded-3" 
          href="/dashboard/chat?recipientName=<%= activeChat[a].sender == username ? activeChat[a].recipient : activeChat[a].sender %>&username=<%= username %>">
            <h3> <%= activeChat[a].sender == username ? activeChat[a].recipient : activeChat[a].sender %> </h3>
            <h5 class="text-dark"><%= activeChat[a].sender %>: "<%= activeChat[a].cipherText %>" </h5>
            <h6 class="mb-0 text-dark"> Last message: <%= activeChat[a].time %></h6>
          </a>
        <% } %>
      </div>
    </div>
  </div>
  <div class="quick-chat-btn" style="position: fixed; right: 4%; bottom: 5%;">
    <button id="quickChatBtn" class="btn btn-outline-success rounded-circle"><i class="fas fa-comment-dots fs-1"></i></button>
  </div>

  <!-- quick chat modal -->
  <div id="quickChatModal" class="quick-chat">
    <div class="quick-chat-content container-fluid d-flex flex-column  rounded-3 border-success bg-light">
      <span class="quick-chat-close text-dark me-0 ms-auto">&times;</span>
      <form action="/dashboard/chat" method="get">
        <h4 class="text-dark">Start a chat</h4>
        <input type="text" name="username" id="" value="<%= username %>" placeholder="user" style="display: none;">
        <input type="text" name="recipientName" placeholder="Username" class="form-control my-2">
        <input type="submit" class="btn w-100 btn-success">
      </form>
    </div>
  </div>

  <!-- Add Contact Modal -->
  <div id="addContactModal" class="quick-chat">
    <div class="quick-chat-content container-fluid d-flex flex-column rounded-3 border-success bg-light">
      <span class="add-contact-close text-dark me-0 ms-auto">&times;</span>
      <form action="/dashboard/contacts" method="post">
        <h4 class="text-dark">Add to contacts</h4>
        <input type="text" name="addUsername" id="" placeholder="Username" class="form-control my-2" required>
        <input type="submit" value="Add" class="btn w-100 btn-success">
      </form>
    </div>
  </div>

  <div id="errorContactModal" class="quick-chat">
    <div class="quick-chat-content container-fluid d-flex flex-column rounded-3 border-success bg-light text-center">
      <span class="add-contact-close text-dark me-0 ms-auto">&times;</span>
      <h4 class="txt-secondary" id="error-message"> Text </h4>
    </div>
  </div>

  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
    crossorigin="anonymous"></script>
 
  <script src="../public/js/startChat.js"> </script>
</body>

</html>